%define name    musicbrainz
%define	version	1.0.0
%define	release	1

%define major 1
%define libname lib%{name}%{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A software library for accesing MusicBrainz servers
Source0:	%{name}-%{version}.tar.bz2
Patch0:         configure.linuxkid.patch.bz2
URL:		http://www.musicbrainz.org
Group:		Sound
Packager: 	linuxkid <linux@peanutlinux.org>
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	LGPL

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:        A software library for accesing MusicBrainz servers
Group:          System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:       %{libname} = %{version}
Provides:	libmusicbrainz-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1

%build
%configure
make CCFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="${RPM_OPT_FLAGS} -s"

%install
%makeinstall

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_includedir}/musicbrainz
